package com.maintain.business.service;

import com.maintain.business.domain.ErpMalfunctionProject;
import com.maintain.business.domain.vo.ErpMalfunctionProjectVo;
import com.maintain.business.domain.bo.ErpMalfunctionProjectBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 故障项目Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpMalfunctionProjectService {

    /**
     * 查询故障项目
     */
    ErpMalfunctionProjectVo queryById(Long id);

    /**
     * 查询故障项目列表
     */
    TableDataInfo<ErpMalfunctionProjectVo> queryPageList(ErpMalfunctionProjectBo bo, PageQuery pageQuery);

    /**
     * 查询故障项目列表
     */
    List<ErpMalfunctionProjectVo> queryList(ErpMalfunctionProjectBo bo);

    /**
     * 新增故障项目
     */
    Boolean insertByBo(ErpMalfunctionProjectBo bo);

    /**
     * 修改故障项目
     */
    Boolean updateByBo(ErpMalfunctionProjectBo bo);

    /**
     * 校验并批量删除故障项目信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
